Get All Versions
Fetch all versions of an action
Retrieves all created versions for an action
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/actions/{id}/versions
COPY
Path Parameters
string
id
Required
ID of the action
Query Parameters
string
projectId
Required
Project ID of action (required for non-system actions)
page
Optional
Page to fetch (starting from 0)
size
Optional
Amount of entities per page
Responses
200
Paged result of all action versions
Returns
PageActionVersion
of type(s)
*/*
{
"totalPages": 0,
"totalElements": 0,
"pageable": {
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"offset": 0,
"sort": {
"sorted": false,
"empty": false,
"unsorted": false
},
"unpaged": false
},
"size": 0,
"content": [
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"description": "string",
"actionId": "string",
"projectId": "string",
"createdBy": "string",
"released": false,
"action": {
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
},
"contentId": "string",
"gitCommitId": "string"
}
],
"number": 0,
"sort": {
"sorted": false,
"empty": false,
"unsorted": false
},
"numberOfElements": 0,
"first": false,
"last": false,
"empty": false
}
401
Unauthorized to make the request
Returns
PageActionVersion
of type(s)
*/*
{
"totalPages": 0,
"totalElements": 0,
"pageable": {
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"offset": 0,
"sort": {
"sorted": false,
"empty": false,
"unsorted": false
},
"unpaged": false
},
"size": 0,
"content": [
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"description": "string",
"actionId": "string",
"projectId": "string",
"createdBy": "string",
"released": false,
"action": {
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
},
"contentId": "string",
"gitCommitId": "string"
}
],
"number": 0,
"sort": {
"sorted": false,
"empty": false,
"unsorted": false
},
"numberOfElements": 0,
"first": false,
"last": false,
"empty": false
}
403
Forbidden
Returns
PageActionVersion
of type(s)
*/*
"PageActionVersion Object"
integer As int32
As int32
totalPages
Optional
totalPages
integer As int64
As int64
totalElements
Optional
totalElements
object
pageable
Optional
pageable
integer As int32
As int32
size
Optional
size
array of
object
content
Optional
Details of the action version
integer As int32
As int32
number
Optional
number
object
sort
Optional
sort
integer As int32
As int32
numberOfElements
Optional
numberOfElements
boolean
first
Optional
first
boolean
last
Optional
last
boolean
empty
Optional
empty
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/actions/{id}/versions?projectId=v
On This Page
Action Versions Operations
PUT
Restore Action Version
PUT
Release Action Version
DELETE
Unrelease Action Version
GET
Get All Versions
POST
Create Action Version
DELETE
Delete Action Version